Skip to main content
GET
/
coupons
List all coupons
curl --request GET \
  --url https://core.nozle.app/api/v1/coupons \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "current_page": 2,
    "total_pages": 4,
    "total_count": 70,
    "next_page": 3,
    "prev_page": 1
  },
  "coupons": [
    {
      "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "name": "Startup Deal",
      "code": "startup_deal",
      "coupon_type": "fixed_amount",
      "reusable": true,
      "limited_plans": true,
      "limited_billable_metrics": false,
      "frequency": "recurring",
      "expiration": "time_limit",
      "created_at": "2022-04-29T08:59:51Z",
      "description": "I am a coupon description",
      "amount_cents": 5000,
      "amount_currency": "USD",
      "plan_codes": [
        "startup_plan"
      ],
      "billable_metric_codes": [],
      "percentage_rate": null,
      "frequency_duration": 6,
      "expiration_at": "2022-08-08T23:59:59Z",
      "terminated_at": "2022-08-08T23:59:59Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

Response

Coupons

meta
object
required
coupons
object[]